Update An Activity
Activity / Task
Update An Activity
This endpoint updates an existing activity or task within a collection.
PATCH
Update An Activity
Description
This API endpoint allows for the update of an existing activity or task within a specified collection. The activity to be updated is identified by the unique identifier (activityId) provided in the path parameter.Path
string
required
The unique identifier for the activity to be updated.
Body
string
Specifies the type of icon associated with the activity. Possible values include ‘emoji’, ‘interaction’, ‘messaging_app’, etc.
string
Defines the specific value of the icon based on the iconType.
- For ‘emoji’, provide any emoji.
- For ‘interaction’, valid values include ‘call’, ‘meeting’, ‘message’, ‘coffee’, ‘lunch’, ‘event’, ‘drink’, etc.
- For ‘messaging_app’, valid values include ‘whatsapp’, ‘twitter’, ‘linkedin’, ‘hangout’, ‘skype’, ‘slack’, ‘imessage’, ‘facebook_messenger’, ‘signal’, ‘discord’, ‘wechat’, ‘telegram’, ‘viber’, etc.
string
The updated name or title of the activity.
string
Specifies the updated scheduled time for the activity in the format “YYYY-MM-DDTHH:mm:ss.SSSZ”.
string
The updated description providing additional details about the activity.
string
The updated ID of the collection record associated with the activity.
string
The updated ID of the status attribute indicating the current status of the activity.
Response
boolean
Indicates the success or failure of the activity update. In this case,
true signifies a successful operation.
string
Provides a human-readable message accompanying the response. In this instance,
it confirms the successful update of the activity with the message “Record updated successfully!”